MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025498Open CASCADE[OCCT] OCCT:Releasepublic2014-11-19 13:382015-05-14 15:33
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025498: CMake refuses to build OCCT without any 3rd party libraries
DescriptionIn the minimal build, for example, only FoundationClasses, cmake stops building due to the empty 3RDPARTY_INCLUDE_DIRS and 3RDPARTY_LIBRARY_DIRS variables. The error message is following:
CMake Error at O:/CMakeLists.txt:185 (list):
  list sub-command REMOVE_DUPLICATES requires list to be present.


The directories containing 3rdparty headers:
CMake Error at O:/CMakeLists.txt:190 (list):
  list sub-command REMOVE_DUPLICATES requires list to be present.


The directories containing 3rdparty libraries:
Steps To ReproduceInclude only BUILD_FoundationClasses into cmake build
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0034506)
git (administrator)
2014-11-19 13:39

Branch CR25498 has been created by drazmyslovich.

SHA-1: 056faebfbb1ba1f6cf2ad25a8380d7c063c420c4


Detailed log of new commits:

Author: razmyslovich
Date: Wed Nov 19 11:39:04 2014 +0100

    0025498: Add guards for empty CMake variables
(0034508)
drazmyslovich (developer)
2014-11-19 13:46

The fix is committed, please, review
(0034584)
ski (developer)
2014-11-21 12:22

Branch CR25498 was reviewed, no remarks.

Generation of project by cmake was done with only included BUILD_FoundationClasses, with 3RDPARTY_DIR="", no errors or warnings - correct behaviour.

Generation of project by cmake was done with all modules, with 3RDPARTY_DIR="", errors appears - correct behaviour.
(0034823)
git (administrator)
2014-11-28 13:45

Branch CR25498 has been deleted by inv.

SHA-1: 056faebfbb1ba1f6cf2ad25a8380d7c063c420c4

- Related Changesets
occt: master 9bb81d6c
Timestamp: 2014-11-19 10:39:04
Author: razmyslovich
Committer: bugmaster
Details ] Diff ]
0025498: CMake refuses to build OCCT without any 3rd party libraries

Adding guards for empty CMake variables
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-19 13:38 drazmyslovich New Issue
2014-11-19 13:38 drazmyslovich Assigned To => bugmaster
2014-11-19 13:39 git Note Added: 0034506
2014-11-19 13:46 drazmyslovich Note Added: 0034508
2014-11-19 13:46 drazmyslovich Status new => resolved
2014-11-21 10:35 bugmaster Assigned To bugmaster => drazmyslovich
2014-11-21 10:36 bugmaster Assigned To drazmyslovich => ski
2014-11-21 12:22 ski Note Added: 0034584
2014-11-21 12:22 ski Assigned To ski => bugmaster
2014-11-21 12:22 ski Status resolved => reviewed
2014-11-21 13:27 bugmaster Status reviewed => tested
2014-11-25 10:29 bugmaster Changeset attached => occt master 9bb81d6c
2014-11-25 10:29 bugmaster Status tested => verified
2014-11-25 10:29 bugmaster Resolution open => fixed
2014-11-28 13:45 git Note Added: 0034823
2015-01-19 16:23 bugmaster Target Version 7.0.0 => 6.9.0
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:33 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker